def run_dee7():
    print("--------SYMDS2024015--------")
    print("--------Laukik Nibre--------\n")

    def TowerOfHanoi(n, source, destination, auxiliary):

        if n == 1:
            print("Move disk 1 from rod", source, "to rod", destination)
            return

        TowerOfHanoi(n-1, source, auxiliary, destination)

        print("Move disk", n, "from rod", source, "to rod", destination)

        TowerOfHanoi(n-1, auxiliary, destination, source)


    n = 3
    TowerOfHanoi(n, 'A', 'C', 'B')

